<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<link rel="import" href="../../bower_components/neon-animation/animations/scale-up-animation.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">
<link rel="import" href="../../bower_components/iron-icons/av-icons.html">

<dom-module id="dez-warning">
  <template>
    <style>
    </style>

    <paper-dialog id="warningDialog" entry-animation="scale-up-animation" exit-animation="fade-out-animation" with-backdrop>
      <div>
        <template is="dom-if" if="{{_wsUnreachabled}}">
          <h2><b>Sorry</b> <br />The Dezrann corpus server is temporarily unavailable, please try again later.</h2>

          <p>
            The <em>Fuga #02 in C minor, BWV 847 (J.-S. Bach)</em> is available with some analyses.
          </p>

          <p>
            You can still export or save analyses (<em>dez</em> format) 
            on your computer (<iron-icon icon="file-download"></iron-icon>)
            and further load them (<iron-icon icon="file-upload"></iron-icon>).
          </p>
        </template>
        <template is="dom-if" if="{{_wsMissing}}">
          <h2><b>Sorry</b> <br />The url does not match any known piece.</h2>

        </template>
        <template is="dom-if" if="{{_wsUnauthorized}}">
          <h2><b>Sorry</b> <br />You are not allowed to view this piece, please view another or login with an authorized account.</h2>

        </template>
      </div>
      <p>
        For more information,
        please <a href="mailto:dezrann@algomus.fr?Subject=Dezrann&Body=%0ADear%20Algomus%20team%2C%0A%0APlease%20keep%20me%20informed%20of%20the%20development%20of%20Dezrann.%0A%0ABest%20regards%2C%0A%0A">drop us a mail</a>.
      </p>

      <div class="buttons">
          <paper-button dialog-confirm autofocus>OK</paper-button>
      </div>
    </paper-dialog>

  </template>

  <script>


  class DezWarning extends Polymer.Element {

      static get is() { return 'dez-warning'; }

      static get properties() {
          return {
              _wsUnreachabled: Boolean,
              _wsUnauthorized: Boolean,
              _wsMissing: Boolean,
          }
      }

      open (code) {
        this._wsUnreachabled = code === "wsUnreachabledError";
        this._wsUnauthorized = code === "wsUnauthorizedError";
        this._wsMissing = code === "wsMissingError";
        this.$.warningDialog.open();
      }

  }

  window.customElements.define(DezWarning.is, DezWarning);

  </script>
</dom-module>
